/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.shell;

/**
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public class ResultCode {
	/** OK */
	public static int STATUS_OK = 0;
	/** エラー */
	public static int STATUS_ERROR = -1;
	/** ワーニング */
	public static int STATUS_WARNING = 1; 
	/** 何らかの原因で処理が中断された */
	public static int STATUS_ABORTED = 99;

	/** 実行結果 */
	private Object result;
	/** 実行ステータス */
	private int status;

	/**
	 * コンストラクタ
	 */
	public ResultCode() {
	}
	/**
	 * コンストラクタ
	 * @param exitc 終了ステータスコード
	 */
	public ResultCode(int exitc) {
		status = exitc;
	}
	/**
	 * コンストラクタ
	 * @param s 実行ステータス
	 * @param o 実行結果オブジェクト
	 */
	public ResultCode(int s, Object o) {
		status = s;
		result = o;
	}
	public int getStatus() {
		return status;
	}
	public Object getResult() {
		return result;
	}
}
